/* loader */
$(window).on('load', function(){
	$('#loader').transition('fade');
})

$(function(){
	/* slimscroll */
    $('.module-display-list').slimScroll({
        height: '100%',
        size: '5px'
    });

    /* semantic */
    $('.ui.dropdown').dropdown();
    $('.ui.radio.checkbox').checkbox();

    /* display.js */
    $(document).on('click', '#first-yes', function(){
    	var vis = $('.first-come').hasClass("visible"); 

    	if(vis == false){
    		$(this).removeClass('blue').addClass('orange').empty().append('Batal');
    	}else{
    		$(this).removeClass('orange').addClass('blue').empty().append('Ya');
    	}
    	$('#first-no').removeClass('orange').empty().append('Tidak');
    	$('.second-come').transition('hide');
    	$('.first-come').transition('horizontal flip');
    });
    $(document).on('click', '#first-no', function(){
    	var vis = $('.second-come').hasClass("visible"); 
    	if(vis == false){
    		$(this).addClass('orange').empty().append('Batal');
    	}else{
    		$(this).removeClass('orange').empty().append('Tidak');
    	}
    	$('#first-yes').removeClass('orange').addClass('blue').empty().append('Ya');
    	$('.first-come').transition('hide');
    	$('.second-come').transition('horizontal flip');
    });
});